commit: b99081b9648fad1f2c48f82d68b3a595440414a7
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 3 02:09:21 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 3 02:28:09 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b99081b9
dev-python/transitions: Bump to 0.9.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/transitions/Manifest | 1 +
dev-python/transitions/transitions-0.9.3.ebuild | 47 +++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-python/transitions/Manifest b/dev-python/transitions/Manifest
index 0c1917a9b33a..26921b9bc6da 100644
--- a/dev-python/transitions/Manifest
+++ b/dev-python/transitions/Manifest
@@ -1 +1,2 @@
DIST transitions-0.9.2.gh.tar.gz 1133297 BLAKE2B
9acb83355236941d49bbdc1877e352e1f86d2b95302455fc5ea2e13d9014f8e6c9dc67e04b70c03c40e3d10b9bcae97900420bfb7549decd7c2186284d9f7389
SHA512
7fa392b185b001b0224b449d65b345f71afa27f80a88d862456f637e5876644f09ca861ce8bd2ff93f91a7846e337a996f256645140a0892b526cd6c1f58ce7f
+DIST transitions-0.9.3.gh.tar.gz 1136264 BLAKE2B
b2d146ce4403e5e6bea89495ccaa8ad1fc024439d56446374f2221063e5b727acdce613adcc285934a03f61a79b1bbe7420e2db3a1c336520da97e755a3dfc72
SHA512
4c9aec72a7643d1188c2a1ea66252be90a7b76008c35102425204c3a7e2ff84e7cb3467e33b763536b59fba0a59e7737aa0293b6696c35a581ebd0ac02cc1744
diff --git a/dev-python/transitions/transitions-0.9.3.ebuild
b/dev-python/transitions/transitions-0.9.3.ebuild
new file mode 100644
index 000000000000..4c0e7569d607
--- /dev/null
+++ b/dev-python/transitions/transitions-0.9.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A lightweight, object-oriented state machine implementation in
Python"
+HOMEPAGE="https://github.com/pytransitions/transitions"
+SRC_URI="
+ https://github.com/pytransitions/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ || (
+ dev-python/pygraphviz[${PYTHON_USEDEP}]
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ )
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dill[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # pycodestyle, mypy, etc.
+ tests/test_codestyle.py
+)
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+ use examples && dodoc examples/*.ipynb
+}